Resource Center/Network Resource/VPC Operations
PUTVPC OperationsSince 5.5.12SynchronousAuth Required
SetVpcVRouterSnatLogState
SetVpcVRouterSnatLogState
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe VPC vRouter UUID.
Body Fields
stateStringRequiredThe target state of the SNAT log.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/vpc/virtual-routers/{uuid}/snat-log
/zstack/v1/vpc/virtual-routers/{uuid}/snat-log
Request Example
curl -X PUT 'http://{host}/zstack/v1/vpc/virtual-routers/{uuid}/snat-log' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"state":"<state>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "state": "enable" }Change History
This API has no change history records yet.
